
#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

@interface GigerInfoView:NSView
{
@private
    	NSImage *buffer; 
	NSSize imageSize;
	NSImage *image,*oldImage,*frontImage;
	unsigned int animationStep;
	BOOL frontPage;	
	NSTimer *animateTimer;
	float delta;
	NSRect batRect;
	int randDirection;
}

- initWithFrame:(NSRect)frameRect;
- (void)dealloc;
- (void)compositeWithDissolve:(BOOL)aBool andDelta:(float)aDelta;
- (void)drawRect:(NSRect)rect;
- (void)mouseDown:(NSEvent *)event;
- (void)animationClick:(NSTimer *)timer;
- (void)animateDissolve;
- (void)removeTimer;

@end
