/*************************************************************************
 * File Name: NSTableView+MiscEOSorting.h
 * Version  : 0.0 alpha
 * Date     : Wed 23-Jul-1997
 *************************************************************************
 *  COPYWHAT (C) 1997 by Tomi Engel
 *
 * This notice may not be removed from this source code.
 * The use and distribution of this software is governed by the
 * terms of the MiscKit license agreement.  Refer to the license
 * document included with the MiscKit distribution for the terms.
 *                    ALL RIGHTS RESERVED
 *
 *************************************************************************    
 * Notes      : 
 * Bugs       : 
 * Author(s)  : tsengel
 * Last update: $Date: 1997/07/23 17:01:27 $
 * History    : $Log: NSTableView_MiscEOSorting.h,v $
 * History    : Revision 1.1  1997/07/23 17:01:27  tsengel
 * History    : Added new category for easy table sorting
 * History    :
 *************************************************************************/ 

#import <AppKit/AppKit.h>

@interface NSTableView (MiscEOSorting)
/* @Description

    This category provides methods which are intended to simplify sorting of rows when working with Enterprise Objects
*/

- (NSArray *)currentColumnKeyOrderArray;

@end
