/*************************************************************************
 * File Name: NSFileManager_MiscExtensions.m
 * Version  : 0.0 alpha
 * Date     : Mon 30-Jun-1997
 *************************************************************************
 *  COPYRIGHT (C) 1997 by Cambridge Technology Partners, Dublin, Ireland
 *                    ALL RIGHTS RESERVED
 *************************************************************************    
 * Notes      : 
 * Bugs       : 
 * Author(s)  : tsengel
 * Last update: $Date: 1997/06/30 12:09:27 $
 * History    : $Log: m.template,v $
 * History    : Revision 1.1.1.1  1997/06/30 12:09:27  tsengel
 * History    : Next try
 * History    :
 *************************************************************************/ 

#import "NSFileManager+MiscExtensions.h"

@implementation NSFileManager (MiscExtensions)

- (BOOL)isDirectoryAtPath:(NSString *)path
/*"
    This method returns YES is the specified path exists and happens to be a directory. NO otherwise, which can also mean that the path is invalid.
"*/
{
    BOOL	isDir;

    [self fileExistsAtPath:path isDirectory:&isDir];
   return isDir;

}

@end
