/*************************************************************************
 * File Name: NSNumber_TagHandling.m
 * Version  : 0.0 alpha
 * Date     : Mon 14-Jul-1997
 *************************************************************************
 *  COPYWHAT (C) 1997 by Tomi Engel
 *
 * This notice may not be removed from this source code.
 * The use and distribution of this software is governed by the
 * terms of the MiscKit license agreement.  Refer to the license
 * document included with the MiscKit distribution for the terms.
 *                    ALL RIGHTS RESERVED
 *
 *************************************************************************    
 * Notes      : 
 * Bugs       : 
 * Author(s)  : tsengel
 * Last update: $Date: 1997/07/09 15:22:52 $
 * History    : $Log: m.template,v $
 * History    : Revision 1.1.1.1  1997/07/09 15:22:52  gtupar
 * History    : New import [GT]
 * History    :
 *************************************************************************/ 

#import "NSNumber+TagHandling.h"

@implementation NSNumber (TagHandling)

+ (NSNumber *)numberWithTag:(int)value
{
    return [self numberWithInt:value];
}

- (id)initWithTag:(int)value
{
    return [self initWithInt:value];
}

- (int)tag
{
    return [self intValue];
}

@end
