// Copyright (C) 1995
// Use is governed by the MiscKit license

#import <InterfaceBuilder/InterfaceBuilder.h>

@interface MiscSVInspector : IBInspector
{
    id	backgroundColorWell;
    id	backgroundDrawingSwitch;
    id	optionMatrix;
}

- (id)init;
- (void)revert:sender;
- (void)colorChanged:sender;
- (void)optionChanged:sender;
- (BOOL)wantsButtons;

@end


@interface MiscSwapView (IBInspector)

- (NSString *)inspectorClassName;

@end
