/*
 *	Filename: TableSource.h
 *	Created : Wed Nov 27 15:12:54 1996
 *	Author  : Vince DeMarco <vdemarco@bou.shl.com>
 *	LastEditDate Was "Thu Nov 28 09:31:33 1996"
 */

#import <Foundation/NSArray.h>

@class NSTableView,NSTableColumn;

@interface NSArray(NSArray_TableSource)

- (SEL)selectorForGetIdentifier:(NSString *)identifier;
- (SEL)selectorForSetIdentifier:(NSString *)identifier;

- (int)numberOfRowsInTableView:(NSTableView *)tableView;

- (id)tableView:(NSTableView *)tableView
               objectValueForTableColumn:(NSTableColumn *)tableColumn
	                             row:(int)row;

- (void)tableView:(NSTableView *)tableView
   setObjectValue:(id)object
   forTableColumn:(NSTableColumn *)tableColumn
	      row:(int)row;

@end


