/*
 *	Filename: RegExSyntaxFormatter.h
 *	Created : Tue Jan 21 14:36:35 1997
 *	Author  : Vince DeMarco
 *	LastEditDate Was "Tue Jan 21 14:52:31 1997"
 */

#import <Foundation/NSFormatter.h>

@interface RegExSyntaxFormatter : NSFormatter
{
}

/* Given an RegEx object return the string it represents */
- (NSString *)stringForObjectValue:(id)anObject;

/* Given a string (pattern) return in anObject an instanciated RegEx obj */
- (BOOL)getObjectValue:(id *)anObject forString:(NSString *)string errorDescription:(NSString **)error;
@end
