/*	MiscPSView.h

	Copyright 1996 Uwe Hoffmann.

	This notice may not be removed from this source code.
	The use and distribution of this software is governed by the
	terms of the MiscKit license agreement.  Refer to the license
	document included with the MiscKit distribution for the terms.

	This class is a slight adaptation of YapOutput.[hm]
	from /NextDeveloper/Examples/AppKit/Yap.

	Version 2 (August 1996)
*/

#import <AppKit/AppKit.h>

@interface MiscPSView:NSView 
{
@private    
	NSWindow *cache;
    	NSData *psData;
        BOOL cacheValid;
}

/*"Accessing and setting the postscipt data"*/
- (void)setPostScriptData:(NSData *)data;
- (NSData *)postscriptData;

/*"Preamble and postamble hooks for subclasses"*/
- (void)writePSPreambleInContext:(NSDPSServerContext *)aContext;
- (void)writePSPostambleInContext:(NSDPSServerContext *)aContext;


@end




