/*************************************************************************
 * File Name: NSImage_MiscComparing.m
 * Version  : 0.0 alpha
 * Date     : Wed 23-Jul-1997
 *************************************************************************
 *  COPYWHAT (C) 1997 by Tomi Engel
 *
 * This notice may not be removed from this source code.
 * The use and distribution of this software is governed by the
 * terms of the MiscKit license agreement.  Refer to the license
 * document included with the MiscKit distribution for the terms.
 *                    ALL RIGHTS RESERVED
 *
 *************************************************************************    
 * Notes      : 
 * Bugs       : 
 * Author(s)  : tsengel
 * Last update: $Date: 1997/07/23 13:50:38 $
 * History    : $Log: NSImage_MiscComparing.m,v $
 * History    : Revision 1.1  1997/07/23 13:50:38  tsengel
 * History    : Create classes to handle table autoresorting
 * History    :
 *************************************************************************/ 

#import "NSImage+MiscComparing.h"

@implementation NSImage (MiscComparing)

- (NSComparisonResult)compare:(NSImage *)obj
/*"
    Currently returns a comparison result based on our name and the one of the other object. If no names have been assigned thi method fails to do useful work <<NOTE>> Later we might try to establish some "usueful" order on images based on their size and bitmap depth.	
"*/
{
    return [[self name] compare:[obj name]];
}

@end
