/*
 *	MiscTabButtonCellInspector.h --
 *		Written by Stephane Corthesy Copyright 1995-1996 by Stephane Corthesy.
 *				Version 1.0.  All rights reserved.
 *
 *		This notice may not be removed from this source code.
 *
 *	This object is included in the MiscKit by permission from the author
 *	and its use is governed by the MiscKit license, found in the file
 *	"License.rtf" in the MiscKit distribution.  Please refer to that file
 *	for a list of all applicable permissions and restrictions.
 */	


#import <AppKit/AppKit.h>
#import <InterfaceBuilder/InterfaceBuilder.h>

@interface MiscTabButtonCellInspector : IBInspector
{
    id alignMatrix;
    id imageCell;
    id keyCell;
    id optionMatrix;
    id orientationMatrix;
    id positionMatrix;
    id tagCell;
    id titleCell;
}

- (BOOL)wantsButtons;
- (void)revert:(id)sender;
- (void)ok:(id)sender;

- (void)validateImagePosition:(id)sender;
- (void)validateOrientation:(id)sender;

@end
