// $Id$

//
// ---------------- MiscSwitchViewInspector Class Interface -------------------
//
// IB MiscSwitchView Attributes inspector.
//
// Written by Art Isbell.
// Copyright 1996 by Art Isbell.
// Version 1.0.  All rights reserved.
//
// This notice may not be removed from this source code.
//
// This object is included in the MiscKit by permission from the author
// and its use is governed by the MiscKit license, found in the file
// "License.rtf" in the MiscKit distribution.  Please refer to that file
// for a list of all applicable permissions and restrictions.
//	
// ----------------------------------------------------------------------------
//

// ----------------------------- Header Files ---------------------------------

#import <InterfaceBuilder/IBInspector.h>

// ---------------- Typedef, Struct, and Union Declarations -------------------

// --------------------- Constant and Enum Definitions ------------------------

@interface MiscSwitchViewInspector:IBInspector
{
// -------------------- Instance Variable Declarations ------------------------
@private
@protected

    IBOutlet NSMatrix *borderMatrix;
    IBOutlet NSMatrix *positionMatrix;
    IBOutlet NSMatrix *selectionBehaviorMatrix;

@public
}
// ---------------------- Factory Method Declarations -------------------------

// ---------------- Overridden Instance Method Declarations -------------------

- (id)init;

- (void)ok:sender;
- (void)revert:sender;
- (BOOL)wantsButtons;

// ------------------- New Instance Method Declarations -----------------------

// ----------------- Delegate Instance Method Declarations --------------------

@end
