// $Id$

//
// ---------------- MiscTabSwitchViewPalette Class Interface ------------------
//
// MiscTabSwitchViewPalette IBPalette subclass.  Configures the tab matrix on
// the palette.
//
// Written by Art Isbell.
// Copyright 1996 by Art Isbell.
// Version 1.0.  All rights reserved.
//
// This notice may not be removed from this source code.
//
// This object is included in the MiscKit by permission from the author
// and its use is governed by the MiscKit license, found in the file
// "License.rtf" in the MiscKit distribution.  Please refer to that file
// for a list of all applicable permissions and restrictions.
//	
// ----------------------------------------------------------------------------
//

// ----------------------------- Header Files ---------------------------------

#import <InterfaceBuilder/IBPalette.h>

#ifndef NOMISC
#import <misckit/MiscSwitchView.h>

#else NOMISC

#import "MiscSwitchView.h"
#endif NOMISC

// ---------------- Typedef, Struct, and Union Declarations -------------------

// --------------------- Constant and Enum Definitions ------------------------

@interface MiscTabSwitchViewPalette:IBPalette
{
// -------------------- Instance Variable Declarations ------------------------
@private
@protected

    IBOutlet NSMatrix *matrix;

@public
}
// ---------------------- Factory Method Declarations -------------------------

// ---------------- Overridden Instance Method Declarations -------------------

// ------------------- New Instance Method Declarations -----------------------

- (void)finishInstantiate;

// ----------------- Delegate Instance Method Declarations --------------------

@end

// Category of MiscSwitchView that does the inspector-specific stuff
@interface MiscSwitchView(IBInspector)

- (NSString *)inspectorClassName;
- (NSString *)connectInspectorClassName;

@end
