/*
 *	Filename: Localization.h
 *	Created : Mon Dec 16 14:22:34 1996
 *	Author  : Vince DeMarco
 *	LastEditDate Was "Mon Dec 16 14:50:59 1996"
 */

/*
 * Use like this:
 *
 * genstrings -s TELLocalizedString AccountDetail.m > English.lproj/accountDetail.strings
 *
 */

#define TELLocalizedStringFromTable(key, tbl, comment) \
	[[NSBundle bundleForClass:[self class]] localizedStringForKey:(key) value:@"" table:(tbl)]

#define TELLocalizedString(key, comment) \
	[[NSBundle bundleForClass:[self class]] localizedStringForKey:(key) value:@"" table:nil]
