/*
 *	Filename: Sorting.h
 *	Created : Wed Nov 27 18:33:12 1996
 *	Author  : Vince DeMarco
 *	LastEditDate Was "Thu Nov 28 12:16:44 1996"
 */


#import <Foundation/NSArray.h>


@interface NSArray(NSArray_Sorting)
- (NSComparisonResult)compareObjectAtIndex:(unsigned int)x with:(unsigned int)y usingSelector:(SEL)aSelector;
- (NSArray *)sortedArrayUsingReturnOfSelector:(SEL)aSelector;
@end

@interface NSMutableArray(NSMutableArray_Sorting)
- (void)sortUsingReturnOfSelector:(SEL)aSelector;
@end
