/*
 *	Filename: RegExMatcher.m
 *	Created : Thu Dec  5 10:40:45 1996
 *	Author  : Vince DeMarco
 *	LastEditDate Was "Thu Dec  5 10:42:20 1996"
 */

#import "RegExMatcher.h"
#import "RegEx.h"

@implementation NSArray(RegExMatcher)

- (RegEx *)regExMatching:(NSString *)string
{
    unsigned int i;

    for(i=0;i < [self count]; i++){
	if ([[self objectAtIndex:i] patternMatchesString:string]){
	    return [self objectAtIndex:i];
	}
    }
    return nil;
}

@end
