/*
 *	Filename: RegExFormatterInspector.h
 *	Created : Wed Jan 22 09:43:56 1997
 *	Author  : Vince DeMarco
 *	LastEditDate Was "Wed Jan 22 12:05:33 1997"
 */

#import <InterfaceBuilder/InterfaceBuilder.h>
#import <AppKit/AppKit.h>

@interface RegExFormatterInspector : IBInspector
{
    IBOutlet NSButton    *allowsEmptyStringCheckBox;
    IBOutlet NSTableView *expressionTableView;
    IBOutlet NSTextField *formatPatternTextField;
    IBOutlet NSTextField *expressionTextField;
    IBOutlet NSMatrix    *expressionButtons;
}

- addExpression:sender;
- delExpression:sender;
- allowsEmptyString:sender;
- selectExpression:sender;
@end
